== Changelog ==

= 1.73.4 - 08 October 2025 =
* Lightbox Builder: Ensured each layout used a unique identifier and excluded lightbox widgets from the Block Editor widget cache to prevent stale styling.

= 1.73.3 - 17 September 2025 =
* Lightbox Builder: Fixed preview open button issues and improved full width stretch handling.
* Lightbox Builder: Triggered resize upon opening dialog for better display consistency.

= 1.73.2 - 30 August 2025 =
* 404 Page: Improved Page Builder integration and template handling; added early asset loading and layout CSS generation, ensured Widgets Bundle assets were enqueued correctly, unified the handler with conditional template override, and fixed template loading and return flow.
* Cloudflare Turnstile: Ensured only a single script instance was added.
* Contact Form: Prevented date/time picker assets from loading when unused and corrected the Moment.js URL.
* Lightbox Builder: Added compatibility mode, improved scrolling and modal overflow, and added the Block Editor icon and widget banner.
* Maintenance Mode: Blocked feeds, exempted certain request types, and added a request bypass filter.
* WooCommerce Template Builder: Fixed WooCommerce function checks to prevent access issues and a potential fatal error when a function was undefined.

= 1.73.1 - 06 August 2025 =
* Toggle Visibility: Fixed calendar date picker not working when toggle field is active.
* WooCommerce Template Builder: Fixed before/after product archive content not being processed correctly on save.

= 1.73.0 - 29 July 2025 =
* New Addon! Lightbox Builder: Add a widget to create customizable lightbox popups with any Page Builder layout. Build interactive overlays with customizable triggers and display options for enhanced user engagement.
* Accordion: Fixed icon defaults configuration.
* Contact Form: Fixed datepicker showing 2-digit years instead of 4-digit and hidden field format to match display format.
* CPTB: Added filter to optionally enforce global page settings and restored global settings with page-specific overrides.
* Toggle Visibility: Restructured and revamped metabox settings interface for improved user experience.
* Toggle Visibility: Added shortcode support with roles and display attributes for more flexible content visibility control.
* WooCommerce Template Builder: Added Block Editor support for product pages, fixed checkout template issues, and prevented legacy templates from appearing in selection dropdowns.
* Addons Page: Fixed Show Settings on Activate feature to open correct settings.
* General: Added centralized accessibility stylesheet and updated plugin update API response to include version property.

= 1.72.1 - 14 June 2025 =
* Custom Status Pages: Fixed font-family property and improved font-related property handling.
* Custom Status Pages: Fixed font size settings not working as expected and corrected font families having incorrect quotes.
* Custom Status Pages: Fixed page display type not rendering and resolved .entry-content styling issues.
* Custom Status Pages: Added output_font_family method and targeted common elements in content area to prevent theme conflicts.
* Custom Status Pages: Ensured font widget and styles are always set.
* Maintenance Mode: Delayed display until wp_loaded has triggered to prevent WooCommerce notice.
* Maintenance Mode: Added Show Settings on Activate support and changed certain defaults.
* Addons Page: Fixed Show Settings on Activate feature to open correct settings rather than all settings.
* General: Removed Support Team empty link and updated case.
* General: Added pre-commit setup with Lefthook and excluded node_modules from build.
* Installer: Changed WooCommerce screenshot URL.

= 1.72.0 - 21 May 2025 =
* New Addon! Maintenance Mode: Craft your own maintenance page with text or layout tools. Personalize with custom titles and design elements for a seamless user experience.
* CPTB: Added post settings support.
* 404 Page: Removed empty link on 404 page.
* Addons Page: Added method of opening settings on load.
* General: Updated maintenance mode indicator.
* General: Updated PHPCS standards.
* General: Updated menu icon CSS.
* Parallax: Fixed background image opacity not working.
* Utility: Fixed slide out in animations.

= 1.71.0 - 04 May 2025 =
* Embed Blocker: Added HTML Class block type and improved migration handling.
* Embed Blocker: Resolved URLs warning and added event trigger after unblock.
* Mirror Widgets: Updated menu icon and hid permalink.
* Toggle Visibility: Fixed user role default state.
* WooCommerce Template Builder: Fixed data tab array changes and vertically aligned action buttons.
* Addons Page: Ensured Widgets Bundle scripts are active and prevented potential fatals with null settings form.
* Cross Domain Copy Paste: Removed browser storage method.
* Custom Row Colors: Added minimum version requirement.
* General: Updated SiteOrigin menu icon and improved inline SVG icons.

= 1.70.2 - 15 April 2025 =
* Accordion: Fixed custom sized icon not outputting with correct sizes.
* Accordion Image: Added custom size inline using CSS and support for partial custom sizes.
* Accordion Image Icon: Restored custom class when size other than thumbnail was used.
* Cards Carousel: Corrected icon location and added new icon.
* CPTB: Added custom labels, removed SO page settings support from CPTB post type, and resolved E_ERROR related to post type supports setting.
* CTA: Fixed `Desktop Button Align: Center Bottom - Image: Right of Text`.
* Mirror Widget: Prevented potential shortcode overflow and added block icon.
* WFS: Improved search icon alignment and fixed SO CSS variant drop down.
* General: Resolved admin notices text domain notice.

= 1.70.1 - 20 March 2025 =
* Blog: Improved date format implementation and prevented false positive security flags.
* Call to Action: Improved image and button alignment for all layout positions.
* Card Carousel: Allow pagination dots to wrap over multiple lines and added date format options.
* Web Font Selector: Added new filter 'siteorigin_premium_modify_fonts'.
* Addons Page: Don't load settings form outside of form context.
* Utility: Added standardized date format options for use across addons.
* General: Updated Google Fonts list to the latest version.

= 1.70.0 - 24 February 2025 =
* Cards Carousel: Clear container gap for arrows when disabled, ensuring proper layout on per-device settings.
* Contact: Updated fields description with support for description improvements and add_custom_attr for backward compatibility.
* Contact Datetime: Added prefill date picker with current date setting.
* Map Styles: Fixed user location check by adding compatibility for the new advanced marker API while maintaining backward compatibility.
* Map Styles: Added Map ID setting. A Map ID allows you to manage your map styles using the Google Cloud Console. This is only used if Map Styles are not set.
* Recent Posts: Added Blog Widget checks to address an E_ERROR caused by a missing SiteOrigin_Widget_Blog_Widget (replicable by deactivating the SiteOrigin Blog Widget and navigating to * SiteOrigin > Premium Addons).
* Related Posts: Improved widget check to ensure expected functionality.
* General: Fixed case-sensitive addon search by converting search queries to lowercase.

= 1.69.0 – 04 February 2025 =
* Author Box: Prevent a potential error if the addon settings haven't been saved yet.
* Blog: Improved infinite pagination loader using the Intersection Observer API for more reliable post loading.
* Blog: Recent Posts now includes checks to ensure the Blog Widget is activated before loading.
* Cards Carousel: Added an Adaptive Height setting to allow item heights to adjust to content.
* Cards Carousel: Fixed a PHP warning related to undefined carousel_settings.
* Contact Form: Fixed Date Picker field alignment issues.
* Contact Form: Added standard form spacing to maps to prevent elements from appearing too close.
* Contact Form: Fixed submission issues with multiple location fields and improved scroll behavior.
* Contact Form: Added a setting to prefill the Date Picker with the current date.
* Cross Domain Copy Paste: Resolved Customizer accordion sizing issues caused by Cross Domain Copy Paste.
* Map Styles: Resolved a warning related to an undefined image_fallback array key.

= 1.68.1 - 23 December 2024 =
* Cards Carousel: Fixed Ajax instance loading to ensure consistent template rendering.
* Image Shape: Resolved warning related to loading shapes.
* Mirror Widgets: Added an additional check to ensure the widget is active and removed the Widgets Bundle requirement.
* Tabs: Update to ensure Layout Builder Full Width Stretched rows are sized correctly.
* Toggle Visibility: Improved exempt role handling.
* WooCommerce Template Builder: Update to ensure Page Builder CSS is output.
* WooCommerce Template Builder: Improved cart responsiveness after removing all products.
* WooCommerce Template Builder: Added Before/After Archive Template widget area action hooks.
* WooCommerce Template Builder: Added .woocommerce wrapper to all templates.
* Metabox: Resolved potential JavaScript TypeError in console.

= 1.68.0 - 24 November 2024 =
* Carousel: Updates to ensure correct Block Editor asset loading.
* Toggle Visibility: Added visibility by user role.
* Tooltip: Update to prevent possible warning.
* Video Background: Update to ensure assets are loaded only as required.
* WooCommerce Template Builder: Resolved Cart Template output when the Cart Block is use.
* Metabox: Allowed central page metabox to be collapsible.
* Updated Google Fonts list.

= 1.67.2 - 24 March 2025 =
* Blog: Improved date format implementation and prevented false positive security flags.
* Call to Action: Improved image and button alignment for all layout positions.
* Card Carousel: Allow pagination dots to wrap over multiple lines and added date format options.
* Web Font Selector: Added new filter 'siteorigin_premium_modify_fonts'.
* Addons Page: Don't load settings form outside of form context.
* Utility: Added standardized date format options for use across addons.
* General: Updated Google Fonts list to the latest version.

= 1.67.1 - 12 November 2024 =
* Announcing the SiteOrigin Cards Carousel Widget! Display posts in a sleek carousel with modern, elevated card layouts. Features clean typography and flexible meta display options.
* Carousel: Added a check to ensure the Post Carousel Widget is activated before adding the Overlay or Card Carousels.

= 1.67.0 - 11 November 2024 =
* 404 Page: Removed duplicate padding setting.
* Anchor ID: Added Unicode encoding support to prevent formatting issues.
* Carousel: Reduced the Overlay Theme post title line height.
* Contact Form: Improved autoresponder automatic line breaks and sanitized output.
* Logo Booster: Various fixes and improvements.
* WooCommerce Template Builder: Improved handling of removed Product Archive Templates.
* Fixed potential undefined array key "types" warning.
* Added check for SiteOrigin Widgets Bundle dependency.

= 1.66.1 - 24 September 2024 =
* Logo Booster: Added `custom-logo-link` class to logo links.
* 404 Page: Removed the Design settings section is Content Type is set to Page.

= 1.66.0 - 06 September 2024 =
* Embed Blocker: Removed privacy link HTML if a link is present.
* Toggle Visibility: Added Hide When Logged In page visibility option.
* Tooltip: Improved Button support.
* Tooltip: Resolved a potential error if at least one widget type wasn't enabled.
* WooCommerce Template Builder: Resolved a potential `post_content` warning.
* Updated Google Fonts list.
* Plugin Updater: Improved multi-site caching behavior.

= 1.65.0 - 16 August 2024 =
* Social Widgets: Restored existing image icon functionality.
* WooCommerce Template Builder: Added a Single template shortcode insertion option. Insert Single template designs anywhere with ease.
* Updated warning message for addons requiring Page Builder.
* Updater: Cleared cache after an update has been processed.

= 1.64.1 - 08 August 2024 =
* Anchor ID: Fixed Anchor ID `Maximum Number of Simultaneous Open Panels` behavior.
* Anchor ID: Improved Accordion and Tab on load scroll.
* Related Posts: Optimized and improve taxonomy handling.
* WooCommerce Template Builder: Prevented a potential Cart PHP 8 error.

= 1.64.0 - 26 July 2024 =
* Anchor ID: Added repeated hash prevention to the Anything Carousel, Sliders, and Tabs Widget.* Block Animations: Resolved a potential `TypeError` and accounted for elements not setup/loaded.
* WooCommerce Template Builder: Moved After Archive output below pagination.
* WooCommerce Template Builder: Added compatibility for the `TP Product Image Flipper for WC` plugin.
* WooCommerce Template Builder: Added `so_woocommerce_templates_display_before/after_archive` filters.

= 1.63.1 - 22 June 2024 =
* Anchor ID: Improved Anything Carousel performance.
* 404 Page: Restored theme page settings for the Display > Page option.

= 1.63.0 - 17 June 2024 =
* New Addon! 404 Page: Create custom 404 error pages with personalized design and content. Guide your user's website experience even during misdirections.
* Anchor ID: Improved functionality with hash change, Accordion, Tab, and scroll fixes, better placement and loading.
* Author Box: Added `Margin Top` setting to the built-in Recent Posts Widget.
* Block Animations: Added min/max as required to prevent a possible console error.
* Toggle Visibility: Resolved Yoast Open Graph conflict with metabox content block.
* Updated Google Fonts.
* Updated SiteOrigin Installer.

= 1.62.1 - 26 May 2024 =
* Anchor ID: Update to allow for an empty Accordion and Tabs ID field. An ID is recommended.
* Block Animations: Resolved potential TypeError.
* Toggle Visibility: Added `siteorigin_premium_toggle_visibility_metabox_block_message` to adjust logged out message.
* Resolved potential blank addon settings modal.
* Prevented auto-updates if disabled.

= 1.62.0 - 19 May 2024 =
* New Addon! Enhance contact form security with the Cloudflare Turnstile Addon, a user-friendly CAPTCHA alternative that helps prevent spam while maintaining seamless user interaction.
* Anchor ID: Fixed ID detection.
* Author Box: Minor spacing and layout improvements.
* Post Carousel: Added title tag to the link overlay.
* Social Media Buttons: Added a fallback if Network Name field is empty.
* Toggle Visibility: Resolved potential PHP warning.
* WooCommerce Template Builder: Removed Shop Product Loop widget from Product Archive tab.
* Increased required PHP version to PHP 7.

= 1.61.1 - 17 April 2024 =
* Anchor ID Addon: Refactored and centralized management, improving widget coordination and simplifying future maintenance.
* Improved plugin update checker reliability and efficiency by refactoring version information handling.

= 1.61.0 - 12 April 2024 =
* New Addon! Introducing the Author Box Addon. Automatically append author boxes to posts, featuring social links, recent articles, and bios to create engaging author presentations across multiple post types.
* WooCommerce Template Builder: Resolved undefined array key "status" warning.
* Post Carousel: Resolved an issue importing layouts with empty theme data.
* Toggle Visibility: Accounted for a potential migration issue for legacy rows.
* Improvements to automatic updates.
* Improvements to data sanitization.
* Updated SiteOrigin Installer.
* Embed Blocker: Added multi-measurement padding.

= 1.60.0 - 07 March 2024 =
* New Addon! Introducing the Embed Blocker Addon. Effortlessly make your website GDPR and DSGVO compliant by controlling embeds from platforms like YouTube, Vimeo, Twitter, Instagram, Facebook, Google Maps, Reddit, Soundcloud, Spotify, and TikTok until user consent is given.
* Carousel: Resolved `BuilderType` warning.
* Image Overlay: Prevented error if global settings are empty.

= 1.59.2 - 02 March 2024 =
* Improved automatic update support.
* Google Maps Consent: Updated background color setting to support transparency.
* Lightbox: Resolved a potential PHP 8.2+ related error.
* WooCommerce Template Builder: Resolved an error that can occur when editing the cart page directly.

= 1.59.1 - 24 February 2024 =
* Parallax Sliders: Resolved Jetpack Photon related `Uncaught TypeError`.
* Cross Domain Copy Paste: Update to ensure a default method is set on first install.
* Video Background: Resolved a potential Block Editor related display issue.
* Video Background: Update to prevent `border_radius` warning.

= 1.59.0 - 18 February 2024 =
* Anything Carousel: Removed `Row Layout` from Layout Builder caoursel items.
* Call To Action: New Settings! Background Image and supporting settings, Content Vertical Alignment, and Padding.
* Cross Domain Copy Paste: Added Browser Clipboard textarea to Layout Builders Widgets at Appearance > Widgets. Only the Browser Clipboard method supported at Appearance > Widgets.
* WooCommerce Template Builder: Loaded the saved cart into the session so the user can see it before paying. Applicable for orders marked as "Pending Payment" and accessed via `/checkout/order-pay/ORDERID/`.

= 1.58.2 - 11 February 2024 =
* WooCommerce Template Builder: Added Block Editor Thank You page support.
* Plugin Updater: Bypassed update cache during automatic updates.

= 1.58.1 - 27 January 2024 =
* Added compatibility with the NativeChurch plugin.
* Improved user experience of the Full Page toggle visibility feature by adding a new "Schedule" option and reordering visibility options.

= 1.58.0 - 20 January 2024 =
* Toggle Visibility: Introducing Full Page Visibility! Hide/Show pages or page content. 
Toggle visibility based on logged-in status. Display a message when content is hidden and 
optionally redirect users when a page is hidden. Hide/Show available with date scheduling.

= 1.57.1 - 13 January 2024 =
* Updater: Various improvements.
* Resolved a WCTB warning message "strpos(): Empty needle" by correcting the order of arguments in the `strpos` function.

= 1.57.0 - 11 January 2024 =
* Web Font Selector: Added variation support.
* Updated the Google Fonts array.
* Addon Management: Improved section & addon ID handling.
* Added a check to ensure that the `$current_screen` variable is not empty before calling the `method_exists()` function.
* Added a check to ensure that only users with the appropriate capability can activate the SiteOrigin Premium license.

= 1.56.0 - 07 January 2024 =
* Metabox: Added a General tab to the metabox for reducing the total number of tabs.
* Video Background: Added video display support for widgets.
* Video Background: Introduced support for border-radius in video backgrounds.
* Video Background: Added support for rounding in video backgrounds.
* Various code formatting improvements for better readability and consistency.

= 1.55.0 - 05 January 2024 =
* Blog: Optimized supporting JavaScript assets.
* Parallax Sliders: Ensured scripts only loaded when needed.
* WooCommerce Template Builder: Added Genesis, Genesis Connect, and Block Editor compatibility.
* WooCommerce Template Builder: Added Product Meta Widget display options.
* Video Background: Added a Loop Video setting.
* Video Background: Added a Background Video Display setting.
* Video Background: Adjusted secondary settings to conditionally display when a video is added.
* Video Background: Updated the Background Video Opacity setting to conditionally display if a Background Video has been set.

= 1.54.1 - 13 December 2023 =
* Blog: Hide Load More button when loading posts using Ajax.
* Blog: Update to ensure Next link is hidden when there aren't enough posts load a new page.
* Page Background: Resolved potential notices.
* Improved required plugin and version check.
* Updated Google Fonts array.

= 1.54.0 - 14 November 2023 =
* New Addon! Introducing the Video Background Addon. Add dynamic video backgrounds to any Page Builder row, column, or widget, adding an energetic touch to your site. With support for various video formats like mp4, m4v, mov, wmv, avi, mpg, ogv, and webm, flexibility is at your fingertips. Includes option for a semi-transparent overlay or pattern.
* Blog: Removed pagination page reload if pagination is disabled.
* Blog: Hid pagination links when loading posts using Ajax.
* Blog: Ensured the correct pagination links are used when loading with Ajax.
* Mirror Widgets: Enabled thumbnails.
* Mirror Widgets: Updated permissions to allow the slug to be edited.
* Renamed all "Cell" references to "Columns".
* Updated SiteOrigin Installer.

= 1.53.0 - 29 October 2023 =
* Blog: Added Post Content `None` Option, allowing users to optionally hide the post content. Useful for display related posts.
* Removed reference to "Content Area" in Cross Domain Copy Paste field instructions for clarity.
* Premium Metabox: Fixed a display issue with the Block Editor. Added a condition to check if the parent element has rendered completely before making any changes.

= 1.52.0 - 19 October 2023 =
* Contact Form: Added support for Merge Tags. Merge tags can be added to the Subject, Success, and Auto Responder messages. Merge tags can be referenced by wrapping them in square brackets.
* Blog: Code cleanup and reordering. Added animation settings for blog posts, including options for animation type, screen offset, animation speed, hiding before animation, animation delay, and disabling animation on mobile.
* Cross Domain Copy Paste: Fixed issue where the browser storage iframe was appearing behind the settings. Updated z-index values in the CSS file to ensure the correct permissions modal stacking order.
* Cross Domain Copy Paste: Added and fixed an HTTP alert. The addon now requires a secure connection (https) to function properly.

= 1.51.0 - 26 September 2023 =
* Blog: Resolved potential incorrect Read More pagination button display.
* Cross Domain Copy Paste: Introduced the Browser Clipboard alernative to the Browser Storage Method.
* Plugin License: If connection to license server fails, try one more time before deactivation.

= 1.50.1 - 23 September 2023 =
* Added new banners for Custom Palette, Image Shape, and Page Background addons.
* Updated Google Fonts with new font families and styles.
* Added minimum version header for plugin addons to prevent activation if user doesn't have the required minimum version.
* WCTB: Moved compatibility code for various plugins to dedicated files for better organization and maintainability.
* Prevented the SiteOrigin Premium metabox from appearing for Mirror Widgets and Custom Post Types.
* Fixed a typo in the code comments of the `add_featured_image_fallback` function in the `blog.php` file.
* Prevented potential JavaScript error in the Metabox when setting up tabs.
* License Debugging: Changed UA Bypass to URL Query String for better debugging and flexibility.

= 1.50.0 - 17 August 2023 =
* Blog: Added fallback compatibility with `Skip Post If No Featured Image` setting. This includes preventing repeated processing of fallback image detection and modifying the query for the portfolio template to exclude posts without a featured image fallback.
* WCTB: Added compatibility for the Virtue theme. This includes adding new filters and actions to modify the HTML structure and classes of the product elements.
* Installer: Excluded Standalone Updater from the Installer. This includes updating the subproject commit in the `inc/installer` directory and excluding the `inc/installer/inc/github-plugin-updater.php` file from the copy process.
* Updated "Tested up to" tag to 6.3 in the readme.txt and siteorigin-premium.php files.
* Minor formatting updates to the `woocommerce-templates.php` file for better readability.

= 1.49.0 - 03 August 2023 =
* New Addon! Introducing the Image Shape Addon. Elevate your image designs with an expanded selection of shapes and captivating effects, including shadows and hover shadows.
* Image Overlay: Ensure `responsive_breakpoint` is always set. Resolves a potential display issue if no value is set.
* Parallax Sliders: If Page Builder isn't loading parallax, ensure setup JavaScript is loaded.
* Resolved a potential SiteOrigin Premium admin page asset loading issue.
* Added SiteOrigin Installer setting.

= 1.48.0 - 25 July 2023 =
* New Addon! Introducing the Cross Domain Copy Paste Addon. Build pages faster by copying and pasting Page Builder widgets and rows between websites.

= 1.47.0 - 19 July 2023 =
* Logo Booster: Update to ensure that if a logo is not set in the addon or theme, the site title will be displayed.
* Page Background: Minor code improvements.
* Page Background: Resolved `siteorigin_widgets_get_attachment_image_src` potential error.
* WooCommerce Template Builder: Added compatibility for WPC Smart Compare and WPC Smart Wishlist.
* WooCommerce Template Builder: Added a check to ensure Page Builder is activated before using `SiteOrigin_Panels_Admin`.
* WooCommerce Template Builder: Removed non-WCTB layouts inside of the WCTB section.
* WooCommerce Template Builder: Removed the Vantage prebuilt layout.
* Parallax: Resolve multiple parallax performance issue.
* Resolved potential `$assets_setup` warning.
* Metabox: Various display and operational improvements. Currently used by Page Background and Logo Booster.
* Addons Page: Scroll to top of addons after clicking tag.
* Updated SiteOrigin Installer.

= 1.46.0 - 13 June 2023 =
* New Addon! Introducing the Page Background Addon. Add page specific background images with support for high-pixel-density displays.
* Link Overlay: Added an Accessibility Label setting.
* Addons Page: Improved addon search functionality and prevented potential misalignment when clicking plugin tags.
* Code Formatting: Updated code formatting for the Addons page and related JavaScript.
* Updated the SiteOrigin Installer.

= 1.45.0 - 08 June 2023 =
* Link Overlay: Added `Accessibility Label` setting.
* Logo Booster: Prevented override on archive pages.
* Logo Booster: Improved WooCommerce compatibility. Ensured that the correct ID is detected on the shop page.
* WooCommerce Template Builder: Fixed unintentional Archive attribute query override.
* Removed TGM Plugin Activation library.
* Added the SiteOrigin Installer.
* Updated the Google Fonts list.
* ACF: Removed the SiteOrigin metabox from ACF post types. Added`siteorigin_premium_metabox_excluded_post_types`.

= 1.44.0 - 22 May 2023 =
* Logo Booster: Resolved edge case display errors.
* Logo Booster: Migrated settings to a central metabox below the post content.
* Logo Booster: Added global settings at SiteOrigin > Premium Addons > Logo Booster for Polylang and WPML.
* Lightbox: Updated library from `v2.11.1` to `v2.11.4`.
* Lightbox: Update to prevent duplicate items when added to the Anything Carousel.

= 1.43.1 - 10 May 2023 =
* Mirror Widgets: Excluded the Mirror Widget from the SiteOrigin Widget Block cache.
* WooCommerce Template Builder: Added the ability to clone WooCommerce Templates from `Layouts > Clone: WooCommerce Templates`.
* Developer: Registered Parallax as a common script.

= 1.43.0 - 12 April 2023 =
* New Addon! Introducing the Custom Palette Addon. Create a custom color palette for Page Builder and Widgets Bundle color settings.
* Bulk Addresses: If an address isn't found, prompt for an alternative.
* Lightbox: Resolved 'undefined array key' warning.
* Social Widgets: Added Custom Networks > Wire > Border Color and Border Hover Color settings.
* Web Font Selector: Resolved Beaver Builder `Uncaught TypeError`.

= 1.42.0 - 27 March 2023 =
* Accordion: Added the `Automatically Add Paragraphs` setting to `Content Type: Text`.
* Blog: Added `Animations` settings section.
* Bulk Addresses: Removed empty marker if an address is not found.
* Image Overlay: Added `Hide on Hover` Desktop device trigger.
* Lightbox: Migrated existing settings to the new dedicated settings section.
* TGM Plugin Activation: Resolved potential notice during plugin installations.

= 1.41.1 - 23 March 2023 =
* Bulk Address: Added a Widgets Bundle version check. Widgets Bundle version `1.46.7+` is required.
* TGM Plugin Activation Library: Update to avoid conflict due to third-party plugins and themes incorrectly using the TGM 
framework.
* Developer: Lowered Contact Form autoresponder function priority. Ensures that users who add a redirect using the default priority will still have the autoresponder be sent.

= 1.41.0 - 15 March 2023 =
* New Addon! Introducing the Bulk Address Addon. Add multiple Map Marker addresses in one go to the SiteOrigin Google Maps Widget.
* Lightbox: Migrated settings to a dedicated section.
* PHP coding standards update.
* Improved Block Editor metabox styling.

= 1.40.0 - 04 March 2023 =
* New Addon! Introducing the Logo Booster Addon. Enhance your SiteOrigin theme logo functionality. Add an alternative logo on any page; upload a sticky logo to display on scroll.

= 1.39.0 - 15 February 2023 =
* Blog: Added `Featured Image Fallback` setting.
* Blog: Added `Disabled` Pagination Type option.
* Hero: Prevented all slides with `Frame Display` animation event displaying after setup.
* Mirror Widgets: Removed Mirror Widgets post type from Page Builder list.
* Parallax Sliders: Restored functionality in the event Page Builder is inactive.

= 1.38.1 - 13 January 2023 =
* Blog: Prevented the unintentional override of pagination settings with premium pagination settings.
* Web Font Selector: Ensured the addon JavaScript is loaded in the Widgets Block Editor.

= 1.38.0 - 01 January 2023 =
* New Addon! Introducing the Retina Background Images Addon. Add widget, cell, and row Retina background images for high-pixel-density displays.

= 1.37.1 - 27 December 2022 =
* Custom Row Colors: Added addon banner.

= 1.37.0 - 14 December 2022 =
* Lottie Player: Added an `Animation Mode > Visibility > Visibility Percentage` setting.
* Global Settings: Updated to allow saving using older Widgets Bundle versions.

= 1.36.0 - 11 December 2022 =
* New Addon! Introducing the Custom Row Colors Addon. Organize your Page Builder rows with custom background colors.
* Accordion: Added a `Title Icon Image Size` setting.
* Call To Action: Minor settings reorganization.
* Custom Post Type Builder: Added a `Display Menu Item` setting to control the post type admin menu item visibility.
* Toggle Visibility: Prevented `toggle_scheduling_toggle_display` notice.

= 1.35.2 - 01 November 2022 =
* WooCommerce Template Builder: Added support for NM Gift Registry and Wishlist non-thumbnail single product button positions.

= 1.35.1 - 29 September 2022 =
* Blog: Display excerpt related settings conditionally when `Post Content > Post Excerpt` is chosen.
* Toggle Visibility: Prevented potential scheduling save notice.
* Toggle Visibility: Prevented unwanted scheduling detection.
* Web Font Selector: Ensured admin scripts aren't loaded on site front-end.
* Developer: Introduced the Web Font Selector `siteorigin_web_font_url` filter.

= 1.35.0 - 26 September 2022 =
* Blog: Added `Excerpt Trim Indicator` setting.
* Blog: Added Masonry and Portfolio template Ajax loading refresh to resolve potential post overlap.
* Blog: Accounted for Ajax loader size when positioning.
* Carousel: Set navigation dots font weight to avoid unintentional third-party styling.
* Carousel: Added widget preview support.
* Mirror Widgets: Added Mirror Widget title to the browser tab title when editing.
* Toggle Visibility: Migrated Enable/Disable checkbox to a On/Off setting.
* Developer: Added `siteorigin_premium_web_font_selector_import_fonts` to disable Web Font Selector font import if required.

= 1.34.1 - 04 September 2022 =
* Blog: Fixed Ajax loaded post excerpt display.

= 1.34.0 - 31 August 2022 =
* New Addon! Introducing the Blog Addon. Enhance the SiteOrigin Blog Widget with Ajax Pagination and other useful settings to improve your user's post-viewing experience.
* Accordion: Added heading settings for the active state.

= 1.33.3 - 11 August 2022 =
* Web Font Selector: Resolved a TinyMCE alignment issue introduced by EDD 3.0+.

= 1.33.2 - 04 August 2022 =
* Anchor ID: Resolved a potential Anything Carousel initiation issue.

= 1.33.1 - 27 July 2022 =
* Web Font Selector: Resolved WFS error at `SiteOrigin > Premium Addons` when Black Studio TinyMCE plugin activated.
* WooCommerce Template Builder: Added support for newer versions of [Product Gallery Slider for WooCommerce by codeixer](https://wordpress.org/plugins/woo-product-gallery-slider/).

= 1.33.0 - 15 July 2022 =
* Tabs: Added `Tabs Mobile Position` setting. Conditionally visible when `Tabs position` set to `Right` or `Left`.
* SiteOrigin Premium Updater: Added `Tested up to` version.

= 1.32.2 - 26 June 2022 =
* Anchor ID: Add multi-slider support.
* Anchor ID: Migrated Anything Carousel Anchor ID setting to the Anchor ID Addon.
* Contact Form: Added `siteorigin_widgets_contact_field_attr` filter support.
* Toggle Visibility: Allowed scheduling using only the Date From or Date To field.
* Toggle Visibility: Changed from Unix to the WordPress timezone for scheduling.
* WooCommerce Template Builder: Added support for themes that don't declare WooCommerce support.
* Updated Google Fonts array.
* Licensing: Improved automatic SSL verify detection.
* Developer: Added Anchor ID `siteorigin_premium_anchor_id_scrollto_offset` filter.

= 1.32.1 - 03 June 2022 =
* Anchor ID: Resolved `NaN` added to URL due to Slider autoplay.
* Parallax Sliders: Resolved a potential edge case Legacy Parallax notice.

= 1.32.0 - 25 May 2022 =
* New Addon! Introducing Anchor ID. Link directly to SiteOrigin Slides, Tabs, and Accordion panels.
* WooCommerce Template Builder: Fixed a TinyMCE issue when Black Studio TinyMCE is activated.

= 1.31.2 - 21 May 2022 =
* WooCommerce Template Builder: Fixed non-default template delete loop.

= 1.31.1 - 21 May 2022 =
* Lottie Player: Updated addon banner.
* WooCommerce Template Builder: Added support for the WooCommerce PayPal Payments plugin.
* WooCommerce Template Builder: Removed global `Product Archive` Before/After. Content can now be added per template.
* WooCommerce Template Builder: Fixed potential Single and Archive template duplication on save.
* WooCommerce Template Builder: Added functionality to allow themes to replace WCTB templates.
* WooCommerce Template Builder: Fixed `siteorigin_premium_addon_wc_check_for_woocommerce_file` filter.

= 1.31.0 - 25 April 2022 =
* New Addon! Introducing the SiteOrigin Lottie Player Addon.
* WooCommerce Template Builder: Added Product Archive `Before Product Archive Loop` and `
